Product: dmu26_XID+SPIRE_xFLS

Version: 1.0

Author: María Campos

Fields: xFLS

Selection filter: F_SPIRE_250, F_SPIRE_350, F_SPIRE_500

Rights: N/A

Acknowledgements: N/A

Related products:xFLS_SPIRE250_v1.0.fits,xFLS_SPIRE350_v1.0.fits,xFLS_SPIRE500_v1.0.fits, dmu26_XID+MIPS_xFLS_cat_20190122.fits
